CMPCI(4)

NAME
cmpci - C-Media CMI8338/CMI8738/CMI8768 PCI audio device

SYNOPSIS
cmpci* at pci?
audio* at cmpci?

DESCRIPTION
The cmpci driver supports the C-Media CMI8338A, CMI8338B, CMI8738, CMI8738B and CMI8768 sound chips present in some PCI sound cards and some integrated PC motherboard chipsets (such as the SiS 530).

Hardware features:

•   Supports 8 common sample rates from 5512 Hz to 48000 Hz

•   Hardware full-duplex support enables simultaneous record and playback

•   Some CMI8738 versions support 4 and 6 channel playback

•   CMI8768 chips support 4, 6, and 8 channel playback

•   CMI8768 chips can only record sample rates of 44100 Hz or 48000 Hz

•   Hardware copying of front to rear for playing stereo input on 4 speakers

•   S/PDIF input and output

SEE ALSO
audio(4), intro(4), pci(4)

HISTORY
The cmpci device driver appeared in OpenBSD 2.7.

BUGS
The Joystick port is not supported.